Create JWT SP configuration
Creates a new Service Provider (SP) configuration for a JWT client in the Tenant, defining details such as endpoints, mapping, and other required settings.
Creates a new Service Provider (SP) configuration for a JWT client in the Tenant, defining details such as endpoints, mapping, and other required settings.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/custom-providers/jwt" \ -H "Content-Type: application/json" \ -d '{ "AppName": "MyApp" }'{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"AppId": 123,
"AppName": "MyApp",
"Algo": "HS256",
"Mapping": {
"key1": "value1",
"key2": "value2"
},
"Key": "my-secret-key",
"TokenQueryParameterName": "token",
"ClockSkew": 300,
"LoginUrl": "https://example.com/login",
"Issuer": {
"ExpectedValue": "issuer",
"MatchValue": true,
"IsMandatory": true
},
"Subject": {
"IsMandatory": true
},
"Audience": {
"ExpectedValues": [
"aud1",
"aud2"
],
"MatchValue": true,
"IsMandatory": true
},
"ExpirationTimeDifference": 3600,
"UseAuthorizationHeader": true,
"NotBefore": {
"IsMandatory": true
},
"Expiration": {
"IsMandatory": true
},
"JWKSUrl": "https://example.com/.well-known/jwks.json",
"UpdateEmailProfile": true,
"RaasUpdateFields": [
"field1",
"field2"
],
"Domain": "example.com",
"EnableAutoLookUp": true,
"Version": "v1",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Message": "Jwt configuration not valid",
"Description": "Atleast one of the Key or JWKS URL fields with a valid input is required for an ES or RS algorithm.",
"ErrorCode": 8087
}{
"Description": "Request couldn't be processed due duplicated app name of JWT configuration, Please use a unique name in order to process this request.",
"ErrorCode": 7960,
"Message": "A JWT config already exist"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}List JWT SP configurations GET
Retrieves a list of all Service Provider (SP) configurations associated with JWT clients for the Tenant, including endpoints, mapping, and other settings for each SP setup.
Retrieve JWT SP configuration GET
Retrieves the Service Provider (SP) configuration details for a JWT client in the Tenant using the AppName, including endpoints, mapping, and other configured settings.